Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows
Imports System.Windows.Controls
Imports Telerik.Windows.Controls
Imports Telerik.Windows.Controls.GridView

Namespace RadGridView_WPF_AR_162
	Friend Class MyButtonColumn
		Inherits Telerik.Windows.Controls.GridViewColumn

		Public Overrides Function CreateCellElement(ByVal cell As GridViewCell, ByVal dataItem As Object) As FrameworkElement
			Dim button = TryCast(cell.Content, Button)
			If button Is Nothing Then
				button = New Button()
				button.Content = "Click"
			End If
			Return button
		End Function

	End Class
End Namespace
